## this macro only works for packages with name matching the regexp "ocaml-.*"
%define ocamlpck  gen

Name:          ocaml-gen
Version:       1.1
Release:       2mamba
Summary:       Simple, efficient iterators for OCaml
Group:         System/Libraries/OCaml
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/c-cube/gen
Source:        https://github.com/c-cube/gen.git/v%{version}/gen-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ocaml
BuildRequires: ocaml-runtime
BuildRequires: ocaml-seq-devel
## AUTOBUILDREQ-END
BuildRequires: ocaml >= 4.14.1
BuildRequires: dune
BuildRequires: ocaml-camlp4-devel
BuildRequires: ocaml-findlib
Requires:      ocaml-runtime
Requires:      ocaml-seq

%description
Simple, efficient iterators for OCaml.

%package devel
Group:         Development/Libraries/OCaml
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n gen-%{version}

%build
dune build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
DESTDIR=%{buildroot} dune install --prefix "/usr" --libdir "%{_libdir}/ocaml"

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/*
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.a
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmx
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc LICENSE

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc CHANGELOG.md README.md

%changelog
* Thu Jul 06 2023 Sdk Build System <sdk@mambasoft.it> 1.1-2mamba
- rebuilt with ocaml 4.14.1

* Thu Mar 16 2023 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic version update by autodist

* Fri Feb 04 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-2mamba
- require ocaml-seq

* Sat Jan 29 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- package created using the webbuild interface
